GET api/Field/GetFields?seasonYear={seasonYear}&startSeasonDate={startSeasonDate}&endSeasonDate={endSeasonDate}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| seasonYear | integer |
None. |
|
| startSeasonDate | date |
None. |
|
| endSeasonDate | date |
None. |
Body Parameters
None.
Response Information
Resource Description
Collection of FieldDto| Name | Description | Type | Additional information |
|---|---|---|---|
| FieldName | string |
None. |
|
| LandId | integer |
None. |
|
| LandName | string |
None. |
|
| ProductId | integer |
None. |
|
| ProductName | string |
None. |
|
| ProductColor | string |
None. |
|
| OccupiedArea | decimal number |
None. |
|
| GeoJson | Polygon |
None. |
|
| SeasonYear | integer |
None. |
|
| SeasonStartDate | date |
None. |
|
| SeasonEndDate | date |
None. |
|
| SeasonState | ProductionLotState |
None. |
|
| Id | integer |
None. |
|
| CreatedOnDate | date |
None. |
Response Formats
application/json, text/json
Sample:
[
{
"FieldName": "sample string 1",
"LandId": 2,
"LandName": "sample string 3",
"ProductId": 1,
"ProductName": "sample string 4",
"ProductColor": "sample string 5",
"OccupiedArea": 6.0,
"GeoJson": null,
"SeasonYear": 7,
"SeasonStartDate": "2026-06-22T08:17:35.1550714+02:00",
"SeasonEndDate": "2026-06-22T08:17:35.1550714+02:00",
"SeasonState": 0,
"Id": 8,
"CreatedOnDate": "2026-06-22T08:17:35.1550714+02:00"
},
{
"FieldName": "sample string 1",
"LandId": 2,
"LandName": "sample string 3",
"ProductId": 1,
"ProductName": "sample string 4",
"ProductColor": "sample string 5",
"OccupiedArea": 6.0,
"GeoJson": null,
"SeasonYear": 7,
"SeasonStartDate": "2026-06-22T08:17:35.1550714+02:00",
"SeasonEndDate": "2026-06-22T08:17:35.1550714+02:00",
"SeasonState": 0,
"Id": 8,
"CreatedOnDate": "2026-06-22T08:17:35.1550714+02:00"
}
]
application/xml
Sample:
Sample not available.
text/xml
Sample:
Sample not available.